Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004353TestLinkTest Specificationpublic2011-03-25 18:002012-11-03 11:15
Reporterbjramsey 
Assigned Toasimon 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusnewResolutionfixed 
PlatformOSOS Version
Product Version1.9.1 (bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0004353: Add filter for active/inactive Test Cases on Test Specification
DescriptionFeature Request:

1) Add a filter to the Test Specification filter list that allows filtering out deactivated test cases. This could be either a check-box or a drop-down list allowing "active" (default), "deactivated", or "all".

2) Provide a visual indication in the Test Specification page for deactivated campaigns, much like test execution results are shown in the Test Execution tree.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
has duplicate 0004725closedJulian Filter Button for Inactive Test Cases in Tree 
has duplicate 0004998assignedasimon Test spec: Filter to display ONLY Active testcases 
related to 0004496closedasimon Add filter for active/inactive Test Cases on Add/remove Test Cases 
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0014339)
Julian (reporter)
2011-03-29 07:42

1) adding a filter makes sense.

2) an indication is already shown below buttons when viewing test case -> no more action

Hint: Testlink 2.0 will offer Test Case Statuses
(0016241)
JanHegewald (reporter)
2012-01-16 15:40
edited on: 2012-01-16 15:40

Is it planned to add filters for Release 1.9.4?

Edit: Or can you give a hint how to implement them?

(0017651)
asimon (developer)
2012-10-10 11:59

Implemented on branch 1.9 and working fine: http://gitorious.org/testlink-ga/testlink-code/commit/0af05fdbd3f1ec6339cb78ec73c31b890a72c5fe [^]
(0017763)
fman (administrator)
2012-11-03 11:15

Please add definition of Active and Inactive when Test Case HAS N versions.

- Issue History
Date Modified Username Field Change
2011-03-25 18:00 bjramsey New Issue
2011-03-29 07:34 Julian Assigned To => asimon
2011-03-29 07:34 Julian Status new => assigned
2011-03-29 07:42 Julian Note Added: 0014339
2011-05-25 20:42 Julian Summary Indicate and Filter Deactivated Test Cases => Add filter for active/inactive Test Cases on Test Specification
2011-05-25 20:43 Julian Relationship added related to 0004496
2011-08-27 16:55 Julian Relationship added has duplicate 0004725
2012-01-16 15:40 JanHegewald Note Added: 0016241
2012-01-16 15:40 JanHegewald Note Edited: 0016241 View Revisions
2012-06-04 22:01 fman Relationship added has duplicate 0004998
2012-10-10 11:59 asimon Task Workflow Status => READY FOR TESTING
2012-10-10 11:59 asimon Note Added: 0017651
2012-10-10 11:59 asimon Status assigned => resolved
2012-10-10 11:59 asimon Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-10-10 11:59 asimon Resolution open => fixed
2012-10-10 12:14 asimon Relationship added child of 0005193
2012-11-03 11:15 fman Note Added: 0017763
2012-11-03 11:15 fman Status resolved => new



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker